mplayer depends on gtk+?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

mplayer depends on gtk+?

Nick Guenther
I just noticed that mplayer depends on lame which depends on gtk+. I
can see no reason lame should need GUI elements, so this is kind of
bothersome because it means that pulling in mplayer also pulls in
4.5megs of GTK.

Why is this?

Thanks in advance (and please CC me)
-Nick

Reply | Threaded
Open this post in threaded view
|

Re: mplayer depends on gtk+?

Owain Ainsworth
On Thu, May 10, 2007 at 12:43:04PM -0400, Nick Guenther wrote:
> I just noticed that mplayer depends on lame which depends on gtk+. I
> can see no reason lame should need GUI elements, so this is kind of
> bothersome because it means that pulling in mplayer also pulls in
> 4.5megs of GTK.
>
> Why is this?
>
> Thanks in advance (and please CC me)
> -Nick

Try the no_x11 flavour of Lame. I noticed this a while back.

pkg_add -r lame-no_x11

or similar should do it.

HTH.
-0-
--